

void whoosh(void)
{
  // reactivate overflow interrupt for
  // timer 1 - it's needed by delay(...)
  TIMSK0 |= (1 << TOIE0); 

  displayWhoosh();

  // and switch the interrupt off.
  TIMSK0 &= ~(1 << TOIE0);
}


void setup () {

  int e = 0;                              // used to initialize the rows to 0



//#if OSX
  Serial.begin(9600);
/*#elif WIN
  Serial.begin(57600);
#elif LINUX
  Serial.begin(57600);
#endif 
*/

  buttonInit();  
  displayInit();
//  initInterrupt();

  // pretty pattern to assure me that the firmware's
  // uploaded properly.
  whoosh();

  clearAllLights();

}  


void loop () {

  // check for button presses
  populate_buttons();
  


 updateLED();
 
  check_and_send_buttons();  
 goProtocol();


}
