byte WaitingForAddress = 1;


byte byte0 = 0x00;                      // these are used to hold the serial data
byte byte1 = 0x00;
byte address =  0x00;                   // garbage byte to hold address of function
byte state = 0x00;                      // garbage byte to hold state value
byte x = 0x00;                          // garbage byte to hold x position
byte y = 0x00;                          // garbage byte to hold y position
byte z = 0x00;

byte firstRun = 1;


void goProtocol() {
  // first up: enable interrupts to keep the serial
  // class responsive
  sei(); 

  do 
  {
    if (Serial.available())
    {
      setLed(0,0);
      if (WaitingForAddress == 1)
      {
        byte0 = Serial.read();

        address = byte0 >> 4;
        WaitingForAddress = 0;
      } // end if (WaitingForAddress == 1);

      if (Serial.available())
      {
      setLed(0,1);
        WaitingForAddress = 1;
        byte1 = Serial.read();
  
        switch(address)
        {
      setLed(0,2);

          case 2: //input LED
    
          state = byte0 & 15;
          x = byte1 >> 4;
          y = byte1 & 15;

          if (state == 0){
            ledmem[y] &= ~( 1 << x); 
          }
          else {
            ledmem[y] |=  ( 1 << x);
          }
          break;
        case 3: //led_intensity
      ChangeIntensity(byte1 & 15);   //calling the driver function instead       
          break;
        case 4: //led_test
        ChangeDisplayTest(byte1 & 15); //calling driver 
          break;
        case 6://shutdown
        ShutdownMode( byte1 & 15); //calling driver
          break;
        case 7://led row
    setLed(0,3);
           if (firstRun == 1) {
            for (x = 0; x < 8; x++) {
            }
            firstRun = 0;
          }
          x = ((byte0 & 15) & 0x7); // mask this value so we don't write to an invalid address.
          y = byte1;

          ledmem[x] = y;
          break;
        case 8://led column
            setLed(0,4);

           if (firstRun == 1)
          {
            for (x = 0; x < 8; x++)
            {
              ledmem[x] = 0;
            }

            firstRun = 0;
          }

          x = ((byte0 & 15) & 0x7);
          y = byte1;

          for (z = 0; z < 8; z++)
          {
            if (y & (1 << z))
            {
              ledmem[z] |= 1 << x;
            }
            else
            {
              ledmem[z] &= ~(1 << x);
            }
          }
          break;
        } // end switch(address)
      } // end if (Serial.available()
         clearLed(0,1);
   
    } // end if (Serial.available();
   clearLed(0,0);
 
} // end do
  while (Serial.available() > 16);
}
